import React from 'react';
import type { Application } from '../../../../application/application.model';
import type { IExecution, IExecutionStage } from '../../../../domain';
export declare const DEFAULT_SKIP_WAIT_TEXT = "The pipeline will proceed immediately, marking this stage completed.";
export interface ISkipWaitProps {
    execution: IExecution;
    stage: IExecutionStage;
    application: Application;
}
export interface ISkipWaitState {
    remainingWait?: string;
}
export declare class SkipWait extends React.Component<ISkipWaitProps, ISkipWaitState> {
    private runningTime;
    constructor(props: ISkipWaitProps);
    private setRemainingWait;
    private skipRemainingWait;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
